<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ListHistoricalLettersSummariesMapper.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.mapper.impl</a> &gt; <span class="el_source">ListHistoricalLettersSummariesMapper.java</span></div><h1>ListHistoricalLettersSummariesMapper.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.mapper.impl;

import com.bbva.jee.arq.spring.core.catalog.gabi.ServiceResponse;
import com.bbva.pzic.listHistoricalLettersSummaries.business.dto.DTOIntHistoricalLettersSummariesId;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalLettersSummaries;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.mapper.IListHistoricalLettersSummariesMapper;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Component
<span class="fc" id="L15">public class ListHistoricalLettersSummariesMapper implements IListHistoricalLettersSummariesMapper {</span>

<span class="fc" id="L17">    private static final Log LOG = LogFactory.getLog(ListHistoricalLettersSummariesMapper.class);</span>

    @Override
    public DTOIntHistoricalLettersSummariesId mapIn(String businessId) {
<span class="fc" id="L21">    LOG.info(&quot;... called method ListHistoricalLettersSummariesMapper.mapIn ...&quot;);</span>
<span class="fc bfc" id="L22" title="All 2 branches covered.">        if(businessId == null)</span>
<span class="fc" id="L23">            return null;</span>
<span class="fc" id="L24">        DTOIntHistoricalLettersSummariesId dtoIn = new DTOIntHistoricalLettersSummariesId();</span>
<span class="fc" id="L25">        dtoIn.setBusinessId(businessId);</span>
<span class="fc" id="L26">        return dtoIn;</span>
    }

    @Override
    public ServiceResponse&lt;List&lt;HistoricalLettersSummaries&gt;&gt; mapOut(List&lt;HistoricalLettersSummaries&gt; input) {
<span class="fc" id="L31">    LOG.info(&quot;... called method ListHistoricalLettersSummariesMapper.mapOut ...&quot;);</span>
<span class="fc bfc" id="L32" title="All 2 branches covered.">        if(CollectionUtils.isEmpty(input))</span>
<span class="fc" id="L33">            return null;</span>
<span class="fc" id="L34">        return ServiceResponse.data(input).build();</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>